<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && !isset($_POST['ACTUALIZAR'])){

				require_once("./view/contrasena.phtml");
				
			}

			if(isset($_POST['ACTUALIZAR'])){

				require_once("./view/cargando.phtml");

				if(isset($_POST['nueva_contrasena']) && isset($_POST['confirmar_nueva_contrasena'])){

					$nueva_contrasena = $_POST['nueva_contrasena'];
					$confirmar_nueva_contrasena = $_POST['confirmar_nueva_contrasena'];

					$actualizar = $ges->update_password($nueva_contrasena,$confirmar_nueva_contrasena,$_SESSION['id_usuario_almacen']);

					if($actualizar == ""){

						echo'<script type="text/javascript">alert("ERROR");contrasena.php";</script>';

					}else{

						echo'<script type="text/javascript">alert("SE ACTUALIZÓ CORRECTAMENTE LA CONTRASEÑA");window.location.href="index.php";</script>';

					}

				}else{

					echo'<script type="text/javascript">alert("ERROR");contrasena.php";</script>';

				}

			}


?>